
AGRO-POPC - Zadanie #2690
Oszacowanie "wskaźnika objętości udostępnionych danych on-line"
2021-11-18 12:51 - Tomasz Blazejczyk

Status: Rozwiązany Start date: 2021-11-18
Priority: Normalny Due date:
Assignee: Tomasz Blazejczyk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Tomasz Blazejczyk Rewizja rozwiązania:
Tester: Tomasz Lewandowski Rewizja testów:
Description

Raport podsumowujący ilość zapisanych danych

History
#1 - 2021-11-18 12:52 - Tomasz Blazejczyk

Pani Zofio,

na Piwiku tego co prawda nie sprawdzimy i się nie da.

Ale raport z bazy wygląda następująco:

agro=> select sum(size) from oss_archive_content_part acp,
oss_archive_object ao where acp.parent__id = ao._pk and acp.mime =
'application/pdf' and ao.object_timestamp > '2018-08-01';
     sum
--------------
 383506758538
(1 row)

agro=> select sum(size) from oss_archive_content_part acp,
oss_archive_object ao where acp.parent__id = ao._pk and
ao.object_timestamp > '2018-08-01';
     sum
--------------
 411512427860
(1 row)

Czyli (tłumacząc) od 1 sierpnia 2018 do bazy dodano 383506758538 bajtów pełnych tekstów (co daje 0,349 terabajta) oraz 411512427860 bajtów
danych w sumie razem z metadanymi (co daje 0,374 terabajta).

Pozdrawiam serdecznie,
Tomasz Leandowski

#2 - 2021-11-18 12:53 - Tomasz Blazejczyk
- Status changed from Nowy to Rozwiązany

#3 - 2021-11-18 12:57 - Tomasz Lewandowski
- % Done changed from 0 to 100
